Subject: Re: SQL Property Graph Queries (SQL/PGQ)

From: Ashutosh Bapat <[email-masked]>
Date: Tue, 13 Jan 2026 21:38:43 +0530

On Tue, Jan 13, 2026 at 3:42 PM Peter Eisentraut <[email-masked]> wrote:
>
> On 18.12.25 10:15, Ashutosh Bapat wrote:
> > I was aware of ecpg and I vaguely remember we fixed something in ECPG
> > to allow : in MATCH statement. Probably following changes in
> > psqlscan.l and pgc.l
> > -self                   [,()\[\].;\:\+\-\*\/\%\^\<\>\=]
> > +self                   [,()\[\].;\:\|\+\-\*\/\%\^\<\>\=]
> >
> > Those changes add | after : (and not the : itself) so maybe they are
> > not about supporting : . Do you remember what those are?
>
> These are required to support label disjunctions.  If you add one of
> those to the ecpg sqlpgq tests you added, like (c IS customer|customer),
> then it will fail to compile without this change.
>

Ah! I see. Added a test for the same using (c IS customer | customer)

>
> > In ddl.sgml I noticed a seemingly incomplete sentence
> >     A property graph is a way to represent database contents, instead of using
> >     relational structures such as tables.
>
> Maybe it's clearer like this:
>
> "A property graph is a way to represent database contents, as an
> alternative to the usual (in SQL) approach of representing database
> contents using relational structures such as tables."

WFM. Applied.

>
> > 0002 has extra tests mentioned above. It also removes "TODO: dubious
> > error message" from a comment. I don't see anything dubious in the
> > error message. I think this patch is safe to be merged into 0001.
>
> Hmm, yeah, this might have been a leftover from a different catalog
> structure that resulted in different detail messages from the dependency
> infrastructure.  I can't see anything wrong with the current output either.
>

Ok.
--
Best Wishes,
Ashutosh Bapat